# Custom Web Hooks

{% hint style="info" %}
Custom Web Hooks can be found at <https://gydrus.net/settings>
{% endhint %}

Webhooks exist for you to get notified when certain events happen, below you will see a detailed explanation of each event. To set-up a webhook you need to click on the "Enabled" checkbox and then set the URL you wish to send the notification to.

![](/files/O0Dh1GkJrl3Mm3x1cDjw)

### Secret Key 🔑

This field is used to identify legit requests sent by Gydrus, check in your backend against this secret key and only allow requests that match it.

### <mark style="color:purple;">Quota Finished Event</mark>

This event is triggered when an account is set to status **"quota-finished"** by the bot (does not work for "Finish Account" option in Edit Account popup).

**Method:** POST

**Headers:** `{"secret": "your_secret_key"}`

**Body:**&#x20;

```
{
  "username": "Account Finished",
  "content": "{summonerName} ({region}) Level {currentLevel} {blueEssence} BE",
  "event": {event}, // ['finished_account_lvl', 'finished_account_be', 'finished_account_lvl_be', 'finished_account_disenchant', 'finished_account_game_amount']
  "id": {gydrusId},
  "password": {password},
  "currentLevel": {currentLevel},
  "blueEssence": {blueEssence},
  "rp": {rp},
  "orangeEssence": {orangeEssence},
  "loot": {playerLoot},
  "skins": {skins},
  "summonerName": {summonerName},
  "displayName": {displayName},
  "country": {country},
  "priority": {priority},
  "disenchantLoot": {disenchantLoot}, // true or false
  "accountId": {accountId}, // League account ID
  "region": {region},
  "email": {email},
  "dateOfBirth": {dateOfBirth},
  "creationDate": {creationDate},
  "countryCode": {countryCode},
  "useCustomName": {useCustomName} // true or false
}
```

### <mark style="color:red;">Banned Account Event</mark>

This event is triggered when an account is banned.

**Method:** POST

**Headers:** `{"secret": "your_secret_key"}`

**Body:**&#x20;

```
{
  "username": "Account Banned",
  "content": "{summonerName} ({region})",
  "quota_type": {quota_type}, // ['quota_reached_lvl', 'quota_reached_be', 'quota_reached_lvl_be']
  "desired_be": {desiredBE},
  "desired_lvl": {desiredLevel},
  "event": "ban",
  "id": {id}, 
  "summonerName": {summonerName},
  "region": {region}
}
```

### <mark style="color:yellow;">LPQ Event</mark>

This event is triggered when an account is put on Low Priority Queue.

**Method:** POST

**Headers:** `{"secret": "your_secret_key"}`

**Body:**&#x20;

```
{ 
  "event": "lpq", 
  "id": {id},
  "summonerName": {summonerName},
  "region": {region}
}
```

### <mark style="color:blue;">Name Taken Event</mark>

This event is triggered when an account is flagged as "name taken".

**Method:** POST

**Headers:** `{"secret": "your_secret_key"}`

**Body:**&#x20;

```
{
  "username": "Summoner Name Taken",
  "content": {summonerName} ({region})",
  "quota_type": {quota_type}, // ['quota_reached_lvl', 'quota_reached_be', 'quota_reached_lvl_be']
  "desired_be": {desiredBE},
  "desired_lvl": {desiredLevel},
  "event": "name_taken",
  "id": {id},
  "summonerName": {summonerName},
  "region": {region}
}
```

### <mark style="color:green;">No Available Account Event</mark>

This event is triggered when a bot is trying to get an account to play but there are none available with the set parameters *(for example region NA, priority 23).* **Can be used directly with Discord Webhooks.**

**Method:** POST

**Headers:** `{"secret": "your_secret_key"}`

**Body:**&#x20;

```
{
  "username": "No Available Account",
  "content": "{server_id} - {ip_address} - {mac_address} - {clone_number} | Forcing Region: {region} | Priority: {priority} | Mode: {mode} |",
  "event": "noAvailableAcc",
  "enforced_region": {enforced_region}, // by local file or server
  "mode": {mode},
  "priority": {priority},
  "clone_number": {clone_number},
  "ip_address": {ip_address},
  "mac_address": {mac_address}
}
```

### <mark style="color:orange;">Active Bots Status</mark>

This event is triggered when the amount of running bots in your account is lower than the amount you set as "Max Bots", generally being your purchased licenses amount. **Can be used directly with Discord Webhooks.**

**Method:** POST

**Headers:** `{"secret": "your_secret_key"}`

**Body:**&#x20;

```
{
  "username": "User: {username}",
  "content": "Active Bots: {activeBots}/{maxBots} @everyone"
}
```

### <mark style="color:purple;">**Ingame Percentage Status**</mark>

This event is triggered when the percentage of ingame running bots in your account is lower than the amount you set as "Ingame Percentage", generally being a value around ***85***. **Can be used directly with Discord Webhooks.**

**Method:** POST

**Headers:** `{"secret": "your_secret_key"}`

**Body:**&#x20;

```
{
  "username": "User: {username}",
  "content": "Ingame Percentage: {ingamePercentage}% @everyone"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gydrus.net/web-dashboard/user-settings/custom-web-hooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
